# OsiClpDisasterHandler Class Reference

`#include <OsiClpSolverInterface.hpp>`

Inheritance diagram for OsiClpDisasterHandler:
[legend]
Collaboration diagram for OsiClpDisasterHandler:
[legend]

List of all members.

## Public Member Functions
Virtual methods that the derived classe should provide.
virtual void | intoSimplex ()
| Into simplex.
virtual bool | check () const
| Checks if disaster.
virtual void | saveInfo ()
| saves information for next attempt
virtual int | typeOfDisaster ()
| Type of disaster 0 can fix, 1 abort.
Constructors, destructor
| OsiClpDisasterHandler (OsiClpSolverInterface *model=NULL)
| Default constructor.
virtual | ~OsiClpDisasterHandler ()
| Destructor.
| OsiClpDisasterHandler (const OsiClpDisasterHandler &)
OsiClpDisasterHandler & | operator= (const OsiClpDisasterHandler &)
virtual ClpDisasterHandler * | clone () const
| Clone.
Sets/gets
void | setOsiModel (OsiClpSolverInterface *model)
| set model.
OsiClpSolverInterface * | osiModel () const
| Get model.
void | setWhereFrom (int value)
| Set where from.
int | whereFrom () const
| Get where from.
void | setPhase (int value)
| Set phase.
int | phase () const
| Get phase.
bool | inTrouble () const
| are we in trouble
## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
OsiClpSolverInterface * | osiModel_
| Pointer to model.
int | whereFrom_
| Where from 0 dual (resolve) 1 crunch 2 primal (resolve) 4 dual (initialSolve) 6 primal (initialSolve).
int | phase_
| phase 0 initial 1 trying continuing with back in and maybe different perturb 2 trying continuing with back in and different scaling 3 trying dual from all slack 4 trying primal from previous stored basis
bool | inTrouble_
| Are we in trouble.

## Detailed Description

Definition at line 1405 of file OsiClpSolverInterface.hpp.

## Constructor & Destructor Documentation

OsiClpDisasterHandler::OsiClpDisasterHandler | ( | OsiClpSolverInterface * | model = `NULL` | ) |

Default constructor.

virtual OsiClpDisasterHandler::~OsiClpDisasterHandler | ( |  | ) | `[virtual]`

Destructor.

OsiClpDisasterHandler::OsiClpDisasterHandler | ( | const OsiClpDisasterHandler & |  | ) |

## Member Function Documentation

virtual void OsiClpDisasterHandler::intoSimplex | ( |  | ) | `[virtual]`

Into simplex.

Implements ClpDisasterHandler.

virtual bool OsiClpDisasterHandler::check | ( |  | ) | const`[virtual]`

Checks if disaster.

Implements ClpDisasterHandler.

virtual void OsiClpDisasterHandler::saveInfo | ( |  | ) | `[virtual]`

saves information for next attempt

Implements ClpDisasterHandler.

virtual int OsiClpDisasterHandler::typeOfDisaster | ( |  | ) | `[virtual]`

Type of disaster 0 can fix, 1 abort.

Reimplemented from ClpDisasterHandler.

OsiClpDisasterHandler& OsiClpDisasterHandler::operator= | ( | const OsiClpDisasterHandler & |  | ) |

Reimplemented from ClpDisasterHandler.

virtual ClpDisasterHandler* OsiClpDisasterHandler::clone | ( |  | ) | const`[virtual]`

Clone.

Implements ClpDisasterHandler.

void OsiClpDisasterHandler::setOsiModel | ( | OsiClpSolverInterface * | model | ) |

set model.

OsiClpSolverInterface* OsiClpDisasterHandler::osiModel | ( |  | ) | const`[inline]`

Get model.

Definition at line 1443 of file OsiClpSolverInterface.hpp.

void OsiClpDisasterHandler::setWhereFrom | ( | int | value | ) | `[inline]`

Set where from.

Definition at line 1446 of file OsiClpSolverInterface.hpp.

int OsiClpDisasterHandler::whereFrom | ( |  | ) | const`[inline]`

Get where from.

Definition at line 1449 of file OsiClpSolverInterface.hpp.

void OsiClpDisasterHandler::setPhase | ( | int | value | ) | `[inline]`

Set phase.

Definition at line 1452 of file OsiClpSolverInterface.hpp.

int OsiClpDisasterHandler::phase | ( |  | ) | const`[inline]`

Get phase.

Definition at line 1455 of file OsiClpSolverInterface.hpp.

bool OsiClpDisasterHandler::inTrouble | ( |  | ) | const`[inline]`

are we in trouble

Definition at line 1458 of file OsiClpSolverInterface.hpp.

## Member Data Documentation

OsiClpSolverInterface* OsiClpDisasterHandler::osiModel_`[protected]`

Pointer to model.

Definition at line 1469 of file OsiClpSolverInterface.hpp.

int OsiClpDisasterHandler::whereFrom_`[protected]`

Where from 0 dual (resolve) 1 crunch 2 primal (resolve) 4 dual (initialSolve) 6 primal (initialSolve).

Definition at line 1477 of file OsiClpSolverInterface.hpp.

int OsiClpDisasterHandler::phase_`[protected]`

phase 0 initial 1 trying continuing with back in and maybe different perturb 2 trying continuing with back in and different scaling 3 trying dual from all slack 4 trying primal from previous stored basis

Definition at line 1485 of file OsiClpSolverInterface.hpp.

bool OsiClpDisasterHandler::inTrouble_`[protected]`

Are we in trouble.

Definition at line 1487 of file OsiClpSolverInterface.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Clp-1.15.11/Clp/src/OsiClp/OsiClpSolverInterface.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines